<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>API_ENDPOINT
: <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config</a>
</li>
<li>API_ENDPOINT_ACTIVE_GAMES
: <a class="el" href="classConfig.html#aab52d7112fb6ce753a5c022d2931aa48">Config</a>
</li>
<li>API_ENDPOINT_CHAT
: <a class="el" href="classConfig.html#a141a025a3c5740359373180ab332b829">Config</a>
</li>
<li>API_ENDPOINT_CREATE_GAME
: <a class="el" href="classConfig.html#a79d0537ea072c7f13b21d1c46cecee89">Config</a>
</li>
<li>API_ENDPOINT_GAME_STATE
: <a class="el" href="classConfig.html#a17823373d286e665f20107893f692001">Config</a>
</li>
<li>API_ENDPOINT_JOIN_GAME
: <a class="el" href="classConfig.html#a0de521028c7f91e4781fbfc049113c6f">Config</a>
</li>
<li>API_ENDPOINT_NARRATOR_CHOICE
: <a class="el" href="classConfig.html#aad257c68f09fca58d4ddfdcccafccf3c">Config</a>
</li>
<li>API_ENDPOINT_PLAYER_CHOICE
: <a class="el" href="classConfig.html#ac48d683f3b61ca6950e212bec86621dc">Config</a>
</li>
<li>API_ENDPOINT_PLAYER_VOTE
: <a class="el" href="classConfig.html#a3636472dda4803eff661dcc0cbc5789d">Config</a>
</li>
<li>API_ENDPOINT_START_GAME
: <a class="el" href="classConfig.html#a4b12e4128da79037ce7c75b3ea31dfe1">Config</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>buttonId
: <a class="el" href="classTable.html#ab2c1c73b5747bf56848d55e0bff49216">Table</a>
</li>
<li>buttons
: <a class="el" href="classTable.html#a3b06a076bfda23af5cdb5b5e2663b434">Table</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>card
: <a class="el" href="classTable.html#a5bd1e38a86894845cb551036bab50701">Table</a>
</li>
<li>cardId
: <a class="el" href="classCardWidget.html#a4ee976680b82bc3486193fe8049f835d">CardWidget</a>
, <a class="el" href="classTable.html#a12f905d9401def95f1c787610ffc4dc3">Table</a>
</li>
<li>chatModel
: <a class="el" href="classChat.html#af0118e51f269416fc24e9979c93248c2">Chat</a>
</li>
<li>choseCard
: <a class="el" href="classTable.html#a239adf8ba87c217dcf31c909edffac2a">Table</a>
</li>
<li>chosenCard
: <a class="el" href="classTable.html#adc45f3958e92b7a5ba63be563c1d15c2">Table</a>
</li>
<li>clue
: <a class="el" href="classTable.html#a3d55a02eb5139d12927f7df3daa746da">Table</a>
</li>
<li>commonPile
: <a class="el" href="classTable.html#a1c841cae351c4ee21094ccebd206e94d">Table</a>
</li>
<li>coords
: <a class="el" href="classTable.html#ae940b200cda96d3521c893e13070f40e">Table</a>
</li>
<li>createdGameCounter
: <a class="el" href="classMoxitServer.html#aab66542e70f820212b452e081c61e224">MoxitServer</a>
</li>
<li>currNarrator
: <a class="el" href="classTable.html#af83075f3fb6811e07896e2e7b789c92f">Table</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>dur_card
: <a class="el" href="classSettings.html#af5053819e8e926d76a07b66031c040e8">Settings</a>
</li>
<li>dur_story
: <a class="el" href="classSettings.html#a5a7561e06ecc317c78a1062359235c0f">Settings</a>
</li>
<li>dur_voting
: <a class="el" href="classSettings.html#a36e062374739376d8f57d7d1272ffbb0">Settings</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>gamePhase
: <a class="el" href="classTable.html#ae00bff662483529b4f5944195893d316">Table</a>
</li>
<li>gameState
: <a class="el" href="classGameStateService.html#af6d736750d7258003dd40ba7b195acf0">GameStateService</a>
</li>
<li>gameStateFetchLoop
: <a class="el" href="classGameStateService.html#aed87f6a206fe2c3f582114c1a74d13c0">GameStateService</a>
</li>
<li>gameStateService
: <a class="el" href="classHostGame.html#a4651ec819a2b2f4d90991d780034eda1">HostGame</a>
, <a class="el" href="classTable.html#aa2609943c1f2f33c11992f2108ee7864">Table</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hand
: <a class="el" href="classTable.html#a288bdb52d583657f376511a876f0a8ad">Table</a>
</li>
<li>host
: <a class="el" href="classMainWindow.html#aba6fba6c25fdd29f1d4de4057a8bb5e2">MainWindow</a>
</li>
<li>hostId
: <a class="el" href="classTable.html#a1d44b4268874f6aecd3e126e75a02bd7">Table</a>
</li>
<li>HTTP_OK
: <a class="el" href="classConfig.html#abff1f5f8eaa47adfc20348d027b8ebbc">Config</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>id
: <a class="el" href="classTable.html#abf60128e4871f6b148c7ac067ff4b0a0">Table</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>k_backlogSize
: <a class="el" href="classMoxitServer.html#ac524f1c5355989b7d8cdc61092ff3263">MoxitServer</a>
</li>
<li>k_threadPoolSize
: <a class="el" href="classMoxitServer.html#a0030e56429f7047ba6e1f5c27e8b95f4">MoxitServer</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lobby
: <a class="el" href="classMainWindow.html#a41b6059450c8bb90690bf0a211bfd430">MainWindow</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>m_body
: <a class="el" href="classRequest.html#ab369a4749316d22e59b28b07c52f04ab">Request</a>
, <a class="el" href="classResponse.html#a9ed0181ff56ebd15afbdd5862c4b2817">Response</a>
</li>
<li>m_buffer
: <a class="el" href="structHttpStatus.html#a4360f54d0940930d6d808760c1f5c967">HttpStatus</a>
</li>
<li>m_chat
: <a class="el" href="classGame.html#a97055de6b4d8160d1aba45bc286aaddc">Game</a>
</li>
<li>m_choiceCounter
: <a class="el" href="classGame.html#acb2c9f4602b63c6bfd7796c5c13bdf18">Game</a>
</li>
<li>m_client_fd
: <a class="el" href="structHttpStatus.html#a1f3a9d954ad1164644f76d013b2a7738">HttpStatus</a>
</li>
<li>m_clientSocketFds
: <a class="el" href="classMoxitServer.html#a14c168e115aca57dc9cd0f818b470201">MoxitServer</a>
</li>
<li>m_clue
: <a class="el" href="classGame.html#af4337a226b47598d3a7ee9639fbd737d">Game</a>
</li>
<li>m_commonPile
: <a class="el" href="classGame.html#a97320237fdffa99b9734b61e4de2c50c">Game</a>
</li>
<li>m_currNarrator
: <a class="el" href="classGame.html#a0a9d5bb8c9144d14d9c2b23050f3e900">Game</a>
</li>
<li>m_currNarratorId
: <a class="el" href="classGame.html#aabdd4d5028074dc3aaa6cee3d79c272f">Game</a>
</li>
<li>m_deck
: <a class="el" href="classGame.html#a7aa9ffce0fda4d86900bb2c283d68cf4">Game</a>
</li>
<li>m_epfd
: <a class="el" href="classMoxitServer.html#a7cd3b8f962bc132586ab629e0e3c24a6">MoxitServer</a>
</li>
<li>m_evlist
: <a class="el" href="classMoxitServer.html#a76af6d8d08643683f608e15cb00c2fc4">MoxitServer</a>
</li>
<li>m_gameID
: <a class="el" href="classGame.html#a03b6365f7e77ced75459196b95acde0c">Game</a>
</li>
<li>m_gamePhase
: <a class="el" href="classGame.html#a57e9942a644eeba38957f2c9367e68d0">Game</a>
</li>
<li>m_games
: <a class="el" href="classMoxitServer.html#ac76fc67d56504bea0f4e2b9af1a93c49">MoxitServer</a>
</li>
<li>m_gameStateSockets
: <a class="el" href="classMoxitServer.html#a04311593233a95734a7a5ebbff08b07c">MoxitServer</a>
</li>
<li>m_hand
: <a class="el" href="classPlayer.html#a1309f93ee2d9b7502c940942a52c2457">Player</a>
</li>
<li>m_handler
: <a class="el" href="classHandler.html#aea7aed30884ba9e1c483ca140191055c">Handler</a>
</li>
<li>m_handlers
: <a class="el" href="classMoxitServer.html#accd4e8d13caef3f398c2bb8db150bd4c">MoxitServer</a>
</li>
<li>m_header
: <a class="el" href="classRequest.html#a328049ffb4351d3823cececf6daf931c">Request</a>
</li>
<li>m_headers
: <a class="el" href="classResponse.html#a8ec3e610fa370ef365d5286794dbe897">Response</a>
</li>
<li>m_hostId
: <a class="el" href="classGame.html#ab2dd3826bf4ba0d7278dfd1f826df8a9">Game</a>
</li>
<li>m_id
: <a class="el" href="classPlayer.html#adb55893c7c4eaddcdf1e34c34716c907">Player</a>
</li>
<li>m_idToPlayer
: <a class="el" href="classGame.html#a93c4fd298263ddf4cbe17066f7c8a940">Game</a>
</li>
<li>m_ip_address
: <a class="el" href="classMoxitServer.html#aeadf910ac6b5cd14f1690d9b9d8bcbce">MoxitServer</a>
</li>
<li>m_isGameStarted
: <a class="el" href="classGame.html#a60848e4cd251d60df45a4c556f4a8477">Game</a>
</li>
<li>m_isOver
: <a class="el" href="classGame.html#a74dd88f380dfe9edb99c25856957746f">Game</a>
</li>
<li>m_kv
: <a class="el" href="classRequestHeader.html#ab64aa5824bd54c4e281551283ca38a72">RequestHeader</a>
</li>
<li>m_left_to_send
: <a class="el" href="structHttpStatus.html#a97af6858b37b548ced7846287b25a39a">HttpStatus</a>
</li>
<li>m_maxPlayers
: <a class="el" href="classGame.html#a7926ea5b357aa57afaf1d1b274aad402">Game</a>
</li>
<li>m_method
: <a class="el" href="classHandler.html#a1d454f1b46a287bb91a3ec0e7e70ba84">Handler</a>
, <a class="el" href="classRequestHeader.html#a6b6eb70107b8c49316005f9f62e3e52d">RequestHeader</a>
</li>
<li>m_narratorCard
: <a class="el" href="classGame.html#a73b428da4f258e3f27fc041797a74980">Game</a>
</li>
<li>m_numOfClients
: <a class="el" href="classMoxitServer.html#a99eb797e882eccfd4c7e354e6bd13c1b">MoxitServer</a>
</li>
<li>m_path
: <a class="el" href="classHandler.html#a263744fcd2cc1623d7806705cf3971b3">Handler</a>
, <a class="el" href="classRequestHeader.html#af0bd0001fba17eb2ddc4d6f5d226c7b4">RequestHeader</a>
</li>
<li>m_players
: <a class="el" href="classGame.html#aa4f00650a49bd784bfd8221f8a4fb473">Game</a>
</li>
<li>m_points
: <a class="el" href="classPlayer.html#af40b202e39d34b244b882aeead951552">Player</a>
</li>
<li>m_port
: <a class="el" href="classMoxitServer.html#a666ed13291b3437b4edc69862c40ebea">MoxitServer</a>
</li>
<li>m_prevNarratorCard
: <a class="el" href="classGame.html#a0bbf15081ffb0742597ecf1638d4a811">Game</a>
</li>
<li>m_read_body_bytes
: <a class="el" href="structHttpStatus.html#a4e4a2de3ee2bef03dcf8ffe927136c28">HttpStatus</a>
</li>
<li>m_read_header_bytes
: <a class="el" href="structHttpStatus.html#a52449c66f8b70744d289a02ec64e076f">HttpStatus</a>
</li>
<li>m_req_status
: <a class="el" href="structHttpStatus.html#af39b20ecce20c77b282176651d53ee5e">HttpStatus</a>
</li>
<li>m_running
: <a class="el" href="classMoxitServer.html#aad28f72d540a777bd6bd2e28f19743f0">MoxitServer</a>
</li>
<li>m_sendingMessage
: <a class="el" href="classChat.html#af7954ee57f1a5806e33fbd58a81f5244">Chat</a>
</li>
<li>m_sent_bytes
: <a class="el" href="structHttpStatus.html#ad947d58cbbabfc6741740e539b9ab60f">HttpStatus</a>
</li>
<li>m_socket
: <a class="el" href="classMoxitServer.html#ab4b11b84d055e1a330240be3504cc465">MoxitServer</a>
, <a class="el" href="classRequest.html#a9cc8561be5abe4141ffe1f69575ac2ec">Request</a>
, <a class="el" href="classResponse.html#a784eb971f9ab13a401b976d75739808d">Response</a>
</li>
<li>m_socketAddress
: <a class="el" href="classMoxitServer.html#a9f703c913fed1ff7c92587868d7d2ced">MoxitServer</a>
</li>
<li>m_socketAddress_length
: <a class="el" href="classMoxitServer.html#aa8aba33a384400ac9368eb64ad84da17">MoxitServer</a>
</li>
<li>m_startGameBtnConnected
: <a class="el" href="classHostGame.html#a32261cf7b9f95c436f2dff224909029c">HostGame</a>
</li>
<li>m_status
: <a class="el" href="classResponse.html#a0c8028f7a50979d4ff71d50059816a1b">Response</a>
</li>
<li>m_username
: <a class="el" href="classChat.html#a0f511033e9ee496831c53a26e3f2dad1">Chat</a>
, <a class="el" href="classPlayer.html#a0c99af4b7950452158d78c15ff05ab38">Player</a>
</li>
<li>m_voteCounter
: <a class="el" href="classGame.html#a8c08b61fe342f31025615c2b7371deae">Game</a>
</li>
<li>m_votes
: <a class="el" href="classGame.html#ae2e30ed3430cdcfc4fe0ca8cbc17c732">Game</a>
</li>
<li>m_worker_threads
: <a class="el" href="classMoxitServer.html#ad0dc6effca9577805c18bb5d09de73e4">MoxitServer</a>
</li>
<li>mainWindow
: <a class="el" href="classHostGame.html#adbad8cb4cd12a4ac4096e913a86f42d4">HostGame</a>
, <a class="el" href="classLobby.html#a4b33287029790c7de7547a7c8b677bc7">Lobby</a>
, <a class="el" href="classSettings.html#a174ebe9d7b242bc5a0b79f77fa14e3e1">Settings</a>
</li>
<li>maxPlayers
: <a class="el" href="classTable.html#af785b77dd2f0b21237dea9c10c6ab95d">Table</a>
</li>
<li>message
: <a class="el" href="classChatBackend.html#aa8e1c66a4a8d74b5c1c8bb8110d55c3e">ChatBackend</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>narratorCard
: <a class="el" href="classTable.html#a58bfecd035557a900faf308745a2fbfa">Table</a>
</li>
<li>narratorId
: <a class="el" href="classTable.html#a5497417a82a0fb4a9e5394e198d2714c">Table</a>
</li>
<li>narrCardChosen
: <a class="el" href="classTable.html#adeaa8e8c8ee75d391c22163278fe69b0">Table</a>
</li>
<li>networkService
: <a class="el" href="classLobby.html#a414c5a0f7dfae5155f192b1447c37271">Lobby</a>
, <a class="el" href="classTable.html#a806efb77188491599819fc437c1e02a4">Table</a>
</li>
<li>noPls
: <a class="el" href="classTable.html#a895afdbd968c9f21539054deb81a3dec">Table</a>
</li>
<li>num_of_players
: <a class="el" href="classSettings.html#ad7dce9b7529fe84751ff9b0981122273">Settings</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>playerCnt
: <a class="el" href="classPlayer.html#a4edf67554440d76b2384045414b3ec03">Player</a>
</li>
<li>playerColors
: <a class="el" href="classTable.html#a4bc58cd8e553aec8ad0ec95e39742df9">Table</a>
</li>
<li>playerId
: <a class="el" href="classTable.html#a92ed6d621a7bcb527e570d182e5cc500">Table</a>
</li>
<li>players
: <a class="el" href="classTable.html#ad5396be5a9bbc8a53663651a800c2f19">Table</a>
</li>
<li>playerScores
: <a class="el" href="classTable.html#ad3e0f01a9c5659bafb3e766bdf75235b">Table</a>
</li>
<li>playersId
: <a class="el" href="classTable.html#ac9f3585e160de58c982da6268299e062">Table</a>
</li>
<li>playersPoints
: <a class="el" href="classTable.html#a7293408b91ebdce8296e52a06e087dfa">Table</a>
</li>
<li>pressed
: <a class="el" href="classTable.html#ac2a131f3423ef0c792e3c3a40076631e">Table</a>
</li>
<li>prevCard
: <a class="el" href="classTable.html#a1afdf6fc7b30420303b03e838e3d8065">Table</a>
</li>
<li>prevGameState
: <a class="el" href="classGameStateService.html#afcd6b65d079f8df18a23b7d733f2bf3d">GameStateService</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>responseCode_
: <a class="el" href="classNetworkService.html#afda8c2c8daf9ed41b1f9a0bfba7be494">NetworkService</a>
</li>
<li>responseData_
: <a class="el" href="classNetworkService.html#a1b7133d3f4c6bb114c468d04707642e9">NetworkService</a>
</li>
<li>responseErrorBuffer_
: <a class="el" href="classNetworkService.html#af230de68dcc9ce070e598e1dea3d588a">NetworkService</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>scoreDots
: <a class="el" href="classTable.html#a72e3bd615edada2744077b583be0cedf">Table</a>
</li>
<li>scoreSum
: <a class="el" href="classTable.html#ade41e8d3ae2349f36330c42541b13375">Table</a>
</li>
<li>SECOND
: <a class="el" href="classConfig.html#a9b70a6c3ed2588aa0abeacf7a1639519">Config</a>
</li>
<li>settings
: <a class="el" href="classMainWindow.html#a914d53c489b015b0bee55448a76b163e">MainWindow</a>
, <a class="el" href="classSettingsService.html#a9d2cbf4887c25dded6f87a67a3287573">SettingsService</a>
</li>
<li>SETTINGS_FILE
: <a class="el" href="classConfig.html#a688c7386349a0f4e557dd6e1bf2addea">Config</a>
</li>
<li>settingsService
: <a class="el" href="classGameStateService.html#a57fc7f3b4087fe4e5d3c285df292a8ad">GameStateService</a>
, <a class="el" href="classHostGame.html#a4bd3d4afe2a2028499f94caba3289aa6">HostGame</a>
, <a class="el" href="classSettings.html#af5a2fc639bb1b55f5913131706dcef9e">Settings</a>
, <a class="el" href="classTable.html#a49418493265a2768360c55a39939faeb">Table</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>ui
: <a class="el" href="classChat.html#ada2103e14285ec9dd588eca5e162aa31">Chat</a>
, <a class="el" href="classHostGame.html#ac9df8a453c12c3d95ea4087039f4b1e7">HostGame</a>
, <a class="el" href="classLobby.html#a8c196e21148d6ef7f120a8e12375d695">Lobby</a>
, <a class="el" href="classMainWindow.html#a35466a70ed47252a0191168126a352a5">MainWindow</a>
, <a class="el" href="classSettings.html#a98680be421d0ae7c34a57f2a159eacd4">Settings</a>
, <a class="el" href="classTable.html#a181a67fcb394951f06b0a01397386271">Table</a>
</li>
<li>username
: <a class="el" href="classSettings.html#aedf017ee354e0c8d03f94ba5d5dfa80a">Settings</a>
, <a class="el" href="classTable.html#aeb59c9598b663dbd23c4f5894be7e0e2">Table</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>voteCounter
: <a class="el" href="classTable.html#af19b3b8f7a5d8c62046ff0bcfb1bfb47">Table</a>
</li>
<li>votedForCard
: <a class="el" href="classTable.html#ab17f390d345054db2e85978a229c3a3c">Table</a>
</li>
<li>votes
: <a class="el" href="classTable.html#a19431c47c739b1ab52a6f5c4a7b1a70c">Table</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
